// src/workers/prod/worker-setup.ts
import { Resource } from "@opentelemetry/resources";
import { SemanticInternalAttributes, taskCatalog } from "@trigger.dev/core/v3";
import {
  TracingSDK,
  StandardTaskCatalog
} from "@trigger.dev/core/v3/workers";
__SETUP_IMPORTED_PROJECT_CONFIG__;
var tracingSDK = new TracingSDK({
  url: process.env.OTEL_EXPORTER_OTLP_ENDPOINT ?? "http://0.0.0.0:4318",
  resource: new Resource({
    [SemanticInternalAttributes.CLI_VERSION]: "3.0.0"
  }),
  instrumentations: setupImportedConfig?.instrumentations ?? [],
  diagLogLevel: process.env.OTEL_LOG_LEVEL ?? "none"
});
taskCatalog.setGlobalTaskCatalog(new StandardTaskCatalog());
export {
  tracingSDK
};
